﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfServiceWithDataContract
{
    [ServiceContract]
    public interface IService1
    {
        [OperationContract]
        BookOrder PlaceOrder(BookOrder bookOrder);
    }

    [DataContract]
    public class BookOrder
    {
        [DataMember]
        public string ISBN { get; set; }

        [DataMember]
        public string BookTitle { get; set; }


        [DataMember]
        public string BookAddress { get; set; }
    }
}