﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfServiceWithMessageContract
{
    [ServiceContract]
    public interface IService2
    {
        [OperationContract]
        BookOrder PlaceOrder(BookOrder bookOrder);
    }

    [MessageContract]
    public class BookOrder
    {
        [MessageHeader]
        public string ISBN { get; set; }

        [MessageBodyMember]
        public string BookTitle { get; set; }

        [MessageBodyMember]
        public string BookAddress { get; set; }
    }
}
